import { useContext } from 'react';
import Context from './internal/Context';

var useRouterContext = function useRouterContext() {
  var context = useContext(Context);

  if (context === undefined) {
    throw new Error('@s-ui/react-router must be used within a <Router />');
  }

  return context;
};

export var useParams = function useParams() {
  return useRouterContext().router.params;
};
export var useLocation = function useLocation() {
  return useRouterContext().router.location;
};
export var useRouter = function useRouter() {
  return useRouterContext().router;
};